Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.spi.ui
Interface UIProvider

All Superinterfaces:
  AdapterProvider, Comparable<ECPElement>, ECPDisposable, ECPElement, org.eclipse.core.runtime.IAdaptable, InternalRegistryElement

All Known Implementing Classes:
  CDOUIProvider, DefaultUIProvider, EMFStoreUIProvider, WorkspaceUIProvider

    public interface UIProvider

extends InternalRegistryElement, org.eclipse.core.runtime.IAdaptable, AdapterProvider

Since:
  1.1
Author:
  Eike Stepper

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.emf.ecp.spi.core.util.ECPDisposable
`ECPDisposable.DisposeListener`

Field Summary
`static org.eclipse.jface.viewers.ILabelProvider` | `EMF_LABEL_PROVIDER` The LabelProvider to use in UIProviders.
`static String` | `TYPE` The Type of the Element.

Method Summary
`org.eclipse.swt.widgets.Control` | `createAddRepositoryUI(org.eclipse.swt.widgets.Composite parent, ECPProperties repositoryProperties, org.eclipse.swt.widgets.Text repositoryNameText, org.eclipse.swt.widgets.Text repositoryLabelText, org.eclipse.swt.widgets.Text repositoryDescriptionText)` The UIProvider can return its provider specific UI to allow the user to fill in provider specific data during the creation of an Repository.
`org.eclipse.swt.widgets.Control` | `createCheckoutUI(org.eclipse.swt.widgets.Composite parent, ECPCheckoutSource checkoutSource, ECPProperties projectProperties)` The UIProvider can return a provider specific UI to allow the user to fill in provider specific data for a checkout.
`org.eclipse.swt.widgets.Control` | `createNewProjectUI(org.eclipse.swt.widgets.Composite parent, CompositeStateObserver observer, ECPProperties projectProperties)` The UIProvider can return a provider specific UI to allow the user to fill in provider specific data for the creation of a new project.
`void` | `fillContextMenu(org.eclipse.jface.action.IMenuManager manager, ECPContainer context, Object[] elements)` Allows the UIProvider to fill the context menu specifically.
`org.eclipse.swt.graphics.Image` | `getImage(Object element)` Returns the image for an element.
`InternalProvider` | `getProvider()` Returns the corresponding Provider for this UI Provider.
`String` | `getText(Object element)` Returns the name for an element.

Methods inherited from interface org.eclipse.emf.ecp.spi.core.util.InternalRegistryElement
`getDescription, getLabel, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecp.core.util.ECPElement
`getName`

Methods inherited from interface java.lang.Comparable
`compareTo`

Methods inherited from interface org.eclipse.emf.ecp.spi.core.util.ECPDisposable
`addDisposeListener, dispose, isDisposed, removeDisposeListener`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Methods inherited from interface org.eclipse.emf.ecp.spi.core.util.AdapterProvider
`getAdapter`

Field Detail

### TYPE

    static final String TYPE

  The Type of the Element.

  See Also:
    Constant Field Values

### EMF_LABEL_PROVIDER

    static final org.eclipse.jface.viewers.ILabelProvider EMF_LABEL_PROVIDER

  The LabelProvider to use in UIProviders.

Method Detail

### getProvider

    InternalProvider getProvider()

  Returns the corresponding Provider for this UI Provider.

  Returns:
    the corresponding `InternalProvider`

### getText

    String getText(Object element)

  Returns the name for an element.

  Parameters:
    `element` - the object to return the name for
  Returns:
    the name of this element

### getImage

    org.eclipse.swt.graphics.Image getImage(Object element)

  Returns the image for an element.

  Parameters:
    `element` - the object to return the image for
  Returns:
    the name of this element

### fillContextMenu

    void fillContextMenu(org.eclipse.jface.action.IMenuManager manager,
                         ECPContainer context,
                         Object[] elements)

  Allows the UIProvider to fill the context menu specifically.

  Parameters:
    `manager` - the `IMenuManager` to fill
    `context` - the current selected `ECPContainer`
    `elements` - the selected elements

### createAddRepositoryUI

    org.eclipse.swt.widgets.Control createAddRepositoryUI(org.eclipse.swt.widgets.Composite parent,
                                                          ECPProperties repositoryProperties,
                                                          org.eclipse.swt.widgets.Text repositoryNameText,
                                                          org.eclipse.swt.widgets.Text repositoryLabelText,
                                                          org.eclipse.swt.widgets.Text repositoryDescriptionText)

  The UIProvider can return its provider specific UI to allow the user to fill in provider specific data during the creation of an Repository.

  Parameters:
    `parent` - the `Composite` to fill
    `repositoryProperties` - the `ECPProperties` of the repository to create
    `repositoryNameText` - the `Text` widget handling the repository name
    `repositoryLabelText` - the `Text` widget handling the repository label
    `repositoryDescriptionText` - the `Text` widget handling the repository description
  Returns:
    the created control

### createCheckoutUI

    org.eclipse.swt.widgets.Control createCheckoutUI(org.eclipse.swt.widgets.Composite parent,
                                                     ECPCheckoutSource checkoutSource,
                                                     ECPProperties projectProperties)

  The UIProvider can return a provider specific UI to allow the user to fill in provider specific data for a checkout.

  Parameters:
    `parent` - the `Composite` to fill
    `checkoutSource` - the Object to checkout
    `projectProperties` - the `ECPProperties` of the project to create
  Returns:
    the created control

### createNewProjectUI

    org.eclipse.swt.widgets.Control createNewProjectUI(org.eclipse.swt.widgets.Composite parent,
                                                       CompositeStateObserver observer,
                                                       ECPProperties projectProperties)

  The UIProvider can return a provider specific UI to allow the user to fill in provider specific data for the creation of a new project.

  Parameters:
    `parent` - the `Composite` to fill
    `observer` - the observer
    `projectProperties` - the `ECPProperties` of the project to create
  Returns:
    the created control

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.